#ifndef H_CORAL_XMI
#define H_CORAL_XMI
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#include <coral/core/ElementDefinition.h>
#include <coral/core/PrimitiveProperties.h>
#include <coral/core/util/simple_lang_creator.h>
#include <coral/coral.h>

NAMESPACE_BEGIN(coral);
NAMESPACE_BEGIN(XMI);

extern EXPORT_coral coral::Language* language;
extern EXPORT_coral coral::ElementDefinition* Extension;

#ifdef COMPILING_coral
extern CORAL_HIDDEN bool init_language() throw ();
#endif

NAMESPACE_END();
NAMESPACE_END();

#endif

